Skip to main content
GET
/
api
/
fleets
/
v1
/
{assetProviderCountryCode}
/
{assetProviderCode}
/
{vehicleId}
/
invoices
/
{invoiceId}
/
summary
Get invoice summary without file
curl --request GET \
  --url https://api.smartmove.eu/m2m/api/fleets/v1/{assetProviderCountryCode}/{assetProviderCode}/{vehicleId}/invoices/{invoiceId}/summary \
  --header 'Authorization: Bearer <token>'
{
  "type": "ENERGY_FUEL_INVOICE",
  "id": "<string>",
  "ocrStatus": "NOT_STARTED",
  "name": "<string>",
  "date": "2023-12-25",
  "netCost": 123,
  "grossCost": 123,
  "taxRate": 123
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

assetProviderCountryCode
string
required

The two-letter country code of the asset provider

Required string length: 2
assetProviderCode
string
required

The three-character code of the asset provider the vehicles belong to

Required string length: 3
vehicleId
string
required

The id of the vehicle

invoiceId
string
required

The id of the invoice or service-tab entity

Response

Invoice summary

type
enum<string>
required

Invoice type

Available options:
ENERGY_FUEL_INVOICE,
EXCESS_MILEAGE_INVOICE,
PARKING_INVOICE,
INSURANCE_INVOICE,
REGISTRATION_INVOICE,
ADMINISTRATION_INVOICE,
CARBON_FOOTPRINT_INVOICE,
MAINTENANCE,
INSPECTION,
TIRE_INVOICE,
TIRE_STORAGE
id
string
required

Invoice identifier

ocrStatus
enum<string>
required
Available options:
NOT_STARTED,
MANUAL,
PROCESSING,
PROCESSED,
ERROR
name
string
required

Original name of the invoice

date
string<date>

Invoice date

netCost
integer<int64>

Net cost of the invoice in the local currency (cents)

grossCost
integer<int64>

Gross cost of the invoice in the local currency (cents)

taxRate
integer<int64>

Tax rate applied to the invoice